<?php
/* @var $modelFiles common\models\ThemeFiles */
/* @var $categoryFiles array */
?>
<?php
use yii\helpers\Html;
use yii\widgets\ActiveForm;

?>

<div class="customer-form">

    <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data'],'id' => 'dynamic-form']); ?>

    <div class="panel panel-default">
        <div class="panel-body">
            <table>
                <tr>
                    <th>File Name</th>
                    <th>Options</th>
                </tr>

                <?php foreach ($categoryFiles as $value) { ?>

                    <tr>
                        <td><?= $value['name'] ?></td>

                        <?php

                        $filePath = yii::getAlias('@storage/private/theme-assets/');
                        $folderName = $model->code . '/';//theme code
                        $fileCode = $value['code'];//file code
                        $file = $filePath . $folderName . $fileCode;
                        Yii::$app->params['uploadPath'] = $file;//saving to global parameter
                        if (file_exists($file)) { ?>

                            <td><?= 'edit' ?></td>

                        <?php } else { ?>

                            <td><?= $form->field($model, 'themeFile')->fileInput() ?></td>

                        <?php } ?>

                    </tr>

                <?php } ?>

            </table>

        </div>
    </div>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
